package Sync

import (
	"path/filepath"
	"strings"
)

func normalisePath(base, path string) string {
	result := strings.Replace(path, base, ``, 1)

	// Ensure that the path starts with a slash:
	if len(result) > 1 && result[0:1] != `/` {
		result = filepath.Join(`/`, result)
	}

	result = filepath.ToSlash(result)
	return strings.ToLower(result)
}
